<%@ page import = "com.eknowlogie.util.*, com. eknowlogie.aliorsum.*, com.eknowlogie.aliorsum.prefs.*, com.acme.shoppingcart.model.*" %>
<% 
   /* This page will take a product id and display all the detailed information for that 
      product. 
   */
   
   int key = Value. getInt (request. getParameter ("key"));  
   String addToCart = request. getParameter ("addToCart");
   
   ShoppingCart cart = StoreVisit. getStoreVisit (session). shoppingCart;
   Product product = Catalog. getProduct (key);
   
   if (UIActivity. isFirstTime (pageContext)) {
      UIActivity. begin (pageContext);
      UIActivity. classPrefs (pageContext). register (Product. class, Prefs. DISPLAY, Display. READ_ONLY);
      UIActivity. fieldPrefs (pageContext). register ("quantityInStock", Product. class, Prefs. ACCESS, Access. READ_ONLY);
   }
   else if (UIActivity. validate (pageContext)) {
      if ((addToCart != null)) {
	     cart. add (product. key. val, 1);
      }
   }
   
%>
<html>
    <head>
       <link href = "aliorsum/aliorsum.css" type = "text/css" rel = "stylesheet"/>
    </head>
    <body> 
        <%@ include file = "TopHeader.jspf" %>
        <form action = "?key=<%= key %>" method = "post">
            <table border = "2" cellpadding = "5" width = "100%">
                <tr>
                    <td rowspan = 2 valign = top>
       
                        <!-- Begin product image -->
           
                        <table border = 0 width = 150 height = 200>
                            <tr>
                                <td bgcolor = silver align = center>
                                    <font face = "arial" size = 1>
                                        <%= product. name %>  Product Image
                                    </font>
                                </td>
                            </tr>
                        </table>
                              
                        <!-- End product image -->
                           
                    </td>
                           
                    <td valign = top>
        
                        <!-- Begin product info -->

<%                      SelectedProduct selectedProduct = cart. findInShoppingCart (product);
                        CompositeUI ui;
                        if (selectedProduct != null) 
                           ui = CompositeUI. presetUIRendering (selectedProduct, pageContext);
                        else ui = CompositeUI. presetUIRendering (product, pageContext);
%>
                        <jsp:include page = "./aliorsum/UIRenderer.jsp" />
                        <input type = "hidden" name = "formSubmitted" value = "yes" />

                        <!-- End product info -->
                    </td>
                </tr>
                    
                <tr>
                    <td>
                       
<%                     if (selectedProduct == null) {
%>                         
                           <!-- Begin shopping cart functionality for the product. -->
           
                           <br> 
                           <center>
                               <input type = "submit" name = "addToCart" value = "Add to Cart" >
                           </center>
                                            
                           <!-- End shopping cart functionality for the product. -->
<%                     }
%>
                    </td>
                </tr>
            </table>
            <input type = "hidden" name = "formSubmitted" value = "yes" >
        </form>
        <%@ include file = "BottomMenu.jspf" %>
    </body>
</html>