<%@ page language="java" import="java.util.*, com.eknowlogie.aliorsum.*, com.eknowlogie.business.aliorsum.*, com.acme.shoppingcart.model.*" %>
<html>

   <!-- This table renderer displays the list of selected products in the shopping cart,  
        customized to also display derived values which are not part of the object model 
        structure, such as  price, sub total, sales tax, and total. 
        
        @author Romel Rivera, eKnowlogie. Inc.
   -->
   
   <head>
      <link href = "aliorsum/aliorsum.css" type = "text/css" rel = "stylesheet"/>
      <script type = "text/javascript" src = "aliorsum/Scripts/Utils.js">
      </script>

   </head>
   
   <body>
      <div class = "grayband" > Shopping Cart Contents </div>
<%
      {
         ListUI ui = (ListUI) CompositeUI. beginUIRendering (pageContext);
         String prefix = ui. getNamePrefix ();
         ShoppingCart cart = StoreVisit. getStoreVisit (session). shoppingCart;

         if (ui. isEmpty ()) {
%>          <center><h3>Shopping Cart is Empty</h3></center>
<%          return;
         }
         else if (UIActivity. isFirstTime (pageContext)) {
            ui. header (). addColumn ("Price");
         }
         int numCols = ui. header (). numCols ();
%>
         <%= ui. renderValidation () %> <!-- Displays validation for the entire list object. -->
         <table border = 2 cellpadding = "5" valign = "top" align = "center" >
             <thead> 
                <%= ui. header (). render () %>
             </thead>
<%
             Iterator it = ui. childrenUIs ();
             while (it. hasNext ()) {
                CompositeUI eui = (CompositeUI) it. next ();
                SelectedProduct selectedProduct = (SelectedProduct) eui. getRecipient ();
%>
                <tr>
                    <jsp:include page = "./aliorsum/RowUIRenderer.jsp" />
                    <td align = "right">
                        <%= CurrencyDoubleUI. format (cart. getPrice (selectedProduct)) %>
                    </td>
                </tr>
<%
             }
%>
             <tr>
                 <td colspan = "<%= numCols %>"> &nbsp; </td>
             </tr>
             
             <tr>
                 <td colspan = "<%= numCols - 2 %>" rowspan = "3" align = "center" valign = "middle">
                     <input type = "submit" name = "submit" value = "Proceed To Check Out">
                 </td>

                 <td> Subtotal : </td>
                 <td align = "right"> <%= CurrencyDoubleUI. format (cart. getSubTotal ()) %> </td>
             </tr>
             
             <tr>
                 <td> Sales Tax : </td>
                 <td align = "right"> <%= CurrencyDoubleUI. format (cart. getSalesTax ()) %> </td>
             </tr>
             
             <tr>
                 <td> Total : </td>
                 <td align = "right"> <%= CurrencyDoubleUI. format (cart. getTotal ()) %> </td>
             </tr>
         </table>
         <input type = "hidden" name = "<%= prefix %>formSubmitted" value = "yes" />
<%
         ui. endUIRendering ();
      }
%>
   </body>
</html>