<%@ page language="java" import="java.util.Iterator, com.eknowlogie.aliorsum.*" %>

<html>

   <!-- This renderer is used only to render the elementary value of an integer or int counter 
        when in read and write mode as follows: the counter value is displayed in read-only mode 
        and two submit buttons are added to provide counter modification by incrementing or 
        decrementing it respectively.  The title, validation, and read-only rendering of this 
        elementary field are managed by its elementary UI.  Notice that because it is a renderer 
        for an elementary UI, it does not have the begin-end composite UI brackets.  
        
        It is used by renderVal () in CounterUI.java.  Notice that because it is invoked by 
        an elementary UI to produce an output stream, we need to redirect the JSP output stream 
        to the elementary UI which we do with the begin and end output collection brackets.
        
        @author Romel Rivera, eKnowlogie. Inc.
   -->
   
   <head>
      <link href = "aliorsum/aliorsum.css" type = "text/css" rel = "stylesheet"/>
      <script type = "text/javascript" src = "aliorsum/Scripts/Utils.js"></script>

   </head>
   
   <body>
<%
      {
         ElementaryUI eui = UIActivity. getCurrElementaryUI (pageContext);
         String name = eui. getQualifiedName ();
         out = eui. beginOutputCollection (pageContext);
%>
         <table border = 0 width = 100%>
             <tr>
                 <td>
                     <%= eui. format () %>
                 </td>
                                       
                 <td align = right>
                     <input type = "submit" name = "<%= name %>_incr" value = " + " >
                     <input type = "submit" name = "<%= name %>_decr" value = " - " >
                 </td>
             </tr>
         </table>
<%
         out = eui. endOutputCollection ();
      }
%>
   </body>
</html>