<%@ page language="java" import="java.util.Iterator, com.eknowlogie.aliorsum.*" %>
<html>

   <!-- This renderer flattens the display of an object structure, by omitting the envelope 
        rendering of its composite fields (e.g. it omitts the creation of nested tables for 
        these composite fields).  The titles of a composite field's children are qualified 
        with the title of the composite field. 
        
        @author Romel Rivera, eKnowlogie. Inc.
   -->
   
   <head>
      <link href = "aliorsum/aliorsum.css" type = "text/css" rel = "stylesheet"/>
      <script type = "text/javascript" src = "aliorsum/Scripts/Utils.js">
      </script>

   </head>
   
   <body>
<%
      {
         CompositeUI ui = CompositeUI. beginUIRendering (pageContext);
         ui. qualifyChildrenTitles = true;
         String prefix = ui. getNamePrefix ();
%>
            <%= ui. renderValidation () %>  <!-- Displays validation for the entire object. -->
<%
               Iterator it = ui. childrenUIs ();
               while (it. hasNext ()) {
                  UI childUI = (UI) it. next ();
                  if (childUI instanceof ElementaryUI) {
%>                   <%= ((ElementaryUI) childUI). renderCols () %>
<%                }
                  else {
                     String renderer = ((CompositeUI) childUI). getRenderer ();
                     if (renderer. equals ("QualifiedUIRenderer")) {
%>                      <jsp:include page = "<%= renderer %>" />
<%                   }
                     else {
%>
                     <tr>
                        <td colspan = "2"> 
                            <%= childUI. renderTitle () %> <br/><br/>
                            <table width = 100% valign = "top">
                               <tr>
                                  <td> &nbsp; &nbsp; </td>
                                  <td>
                                      <jsp:include page = "<%= renderer %>" />
                                  </td>
                               </tr>
                            </table>
                        </td>
                     </tr>
<%                   }
                  }
               }
%>
            <input type = "hidden" name = "<%= prefix %>formSubmitted" value = "yes">
<%
         ui. endUIRendering ();
      }
%>
   </body>
</html>