<%@ page language="java" import="java.util.Iterator, com.eknowlogie.aliorsum.*" %>
<html>

   <!-- This renderer displays an object structure hierarchically, by using nested Html  
        tables to represent each nested composite structure.  This renderer can be used 
        to render a composite recipient with fields, as well as a list recipient with 
        list elements or array recipient with array elements.
        
        @author Romel Rivera, eKnowlogie. Inc.
   -->
   
   <head>
      <link href = "aliorsum/aliorsum.css" type = "text/css" rel = "stylesheet"/>
      <script type = "text/javascript" src = "aliorsum/Scripts/Utils.js">
      </script>

   </head>
   
   <body>
<%
      {
         CompositeUI ui = CompositeUI. beginUIRendering (pageContext);
         String prefix = ui. getNamePrefix ();
%>
            <%= ui. renderValidation () %>  <!-- Displays validation for the entire object. -->
       
            <table border = 2 cellpadding = "10" valign = "top">
<%
               Iterator it = ui. childrenUIs ();
               while (it. hasNext ()) {
                  UI childUI = (UI) it. next ();
                  if (childUI instanceof ElementaryUI) {
%>
                     <%= ((ElementaryUI) childUI). renderCols () %>
<%                }
                  else {
                     String renderer = ((CompositeUI) childUI). getRenderer ();
                     if (renderer. equals ("QualifiedUIRenderer.jsp")) {
%>                      <jsp:include page = "QualifiedUIRenderer.jsp" />
<%                   }
                     else {
%>
                        <tr>
                           <td colspan = "2"> 
                               <%= childUI. renderTitle () %> <br/><br/>
                               <table width = 100% valign = "top">
                                  <tr>
                                     <td> &nbsp; &nbsp; </td>
                                     <td>
                                         <jsp:include page = "<%= renderer %>" />
                                     </td>
                                  </tr>
                               </table>
                           </td>
                        </tr>
<%                   }
                  }
               }
%>
            </table>
            <input type = "hidden" name = "<%= prefix %>formSubmitted" value = "yes">
<%
         ui. endUIRendering ();
      }
%>
   </body>
</html>