package com.acme.shoppingcart.model;

import com.eknowlogie.business.model.CreditCard;
import com.eknowlogie.business.model.CurrencyDouble;

/** <p>This class represents the billing information for the shopping cart 
    application.</p>
*/

public class BillingInfo {

   /*-------------------------- Begin Fields --------------------------*/

   public CurrencyDouble netPrice = new CurrencyDouble ();
   public CurrencyDouble salesTaxes = new CurrencyDouble ();
   public CurrencyDouble shippingAndHandling = new CurrencyDouble ();
   public String otherServices;
   public CurrencyDouble otherServiceCharges = new CurrencyDouble ();
   public CurrencyDouble total = new CurrencyDouble ();
   public CreditCard creditCard;
   protected String authorizationNumber;

   /*--------------------------- End Fields ---------------------------*/

   /*------------------------- Begin Methods --------------------------*/
   
   public CurrencyDouble getTotal () {
      shippingAndHandling. val = netPrice. val * 0.10;
      if (otherServices != null) {
         otherServiceCharges. val = 5.0;
      }
      else otherServiceCharges. val = 0.0;
      total. val = netPrice. val + salesTaxes. val + shippingAndHandling. val + otherServiceCharges. val;
      return total;
   }

   /*-------------------------- End Methods ---------------------------*/

   /* End of BillingInfo */
}