package com.acme.shoppingcart.model;

import com.eknowlogie.business.model.CurrencyDouble;
import com.eknowlogie.business.model.Key;

/** <p>This class represents a product for sale in the shopping cart 
    application.</p>
*/

public class Product {

   /*-------------------------- Begin Fields --------------------------*/

   public Key key;
   public String name;
   public String description;
   public Category category;
   public String keywords;
   public CurrencyDouble unitPrice;
   public int quantityInStock;


   /*--------------------------- End Fields ---------------------------*/

   /*----------------------- Begin Constructors -----------------------*/

   public Product (int      keyValue,
                   String   name,
                   String   description,
                   Category category,
                   String   keywords,
                   double    price,
                   int      quantity)
   {
      key = new Key ();
      key. val = keyValue;
      this. name = name;
      this. description = description;
      this. category = category;
      this. keywords = keywords;
      this. unitPrice = new CurrencyDouble (price);
      this. quantityInStock = quantity;
   }

   /*------------------------ End Constructors ------------------------*/

   /* End of Product */
}