/* 
   (C) Copyright 2004 eKnowlogie Inc., All rights reserved.
   eKnowlogie Proprietary / Confidential.  Use is subject to license terms.
*/

package com.eknowlogie.business.model;

/** <p>Basic business object for representing street addresses.</p>
    
    @author Romel Rivera, eKnowlogie. Inc.
*/

public class Address implements Cloneable {

   /*-------------------------- Begin Fields --------------------------*/

   public String firstName;
   public String lastName;
   public String addressLine1;
   public String addressLine2;
   public String city;
   public String state;
   public int zip;
   public Phone phone = new Phone ();
   public Phone fax = new Phone ();
   public String email;

   /*--------------------------- End Fields ---------------------------*/

   /*----------------------- Begin Constructors -----------------------*/

   public Address () { }

   /*------------------------ End Constructors ------------------------*/

   /*------------------------- Begin Methods --------------------------*/
   
   public Object clone () {
      try { return super. clone (); }
      catch (CloneNotSupportedException e) {
         throw new Error (e. getMessage ());
      }
   }

   /*-------------------------- End Methods ---------------------------*/

   /* End of Address */
}