
/* ---------------------- Begin Window Pop-Up Support ------------------------- */

/* This method is used to create a pop-up window from a hyper-link. 
   See http://www.htmlcodetutorial.com/linking/linking_famsupp_72.html for a quick 
   tutorial on pop-up windows in Html.  
   
   See also jsp/aliorsum/PopUp.html for an example of a pop-up window.
   
   See also aliorsum/UI.renderTitle (String title, String popUp, String toolTip) for 
   an example of how this code is invoked from Html.
*/

function popUp (link, windowname) {

   if (! window.focus)
      return true;

   var href;
   if (typeof (link) == 'string')
      href = link;
   else
      href = link. href;

   window. open (href, windowname, 'width=400,height=200,scrollbars=yes,toolbar=yes');
   return false;
}

/* ----------------------- End Window Pop-Up Support -------------------------- */

/* ------------------------- Begin Tool Tip Support --------------------------- */

  /*  The HTML tip handling code is copyright 1998 by insideDHTML.com, LLC. More information 
      about this code can be found at Inside Dynamic HTML: HTTP://www.insideDHTML.com. 
      
   	  See http://www.siteexperts.com/tips/elements/ts10/page1.asp for a quick tutorial 
   	  on tool tips with Html and JavaScript.
   	  
   	  Modifications have been made to this code by eKnowlogie, Inc. 
   	  
      See also aliorsum/UI.renderTitle (String title, String popUp, String toolTip) for 
      an example of how this code is invoked from Html.
  */


  // Support for all collections 
  var allSupport = document.all!=null

  function setupEventObject(e) {
    // Map NS event object to IEs
    if (e==null) return // IE returns
    window.event = e
    window.event.fromElement = e.target
    window.event.toElement = e.target
    window.event.srcElement = e.target
    window.event.x = e.x
    window.event.y = e.y
    // Route the event to the original element
    // Necessary to make sure _tip is set.
    window.event.srcElement.handleEvent(e);
  }


  function checkName(src) {
    // Look for tooltip in IE
    while ((src!=null) && (src._tip==null))
      src = src.parentElement
    return src
  }

  function getElement (elName) {
     // Get an element from its ID
     if (allSupport)
        return document.all[elName]
     else
        return document.layers[elName]
  }
  
  var tipBoxEl;
  
  function getElementForTipBox () {
     if (tipBoxEl == null) { 
        var tipBoxParent = document. getElementsByTagName ("body"). item (0);
        tipBoxEl = document. createElement ("div");
        tipBoxEl. setAttribute ("id", "tipBox");
        tipBoxParent. appendChild (tipBoxEl);
     }
     return tipBoxEl;
  }

  function writeContents(el, tip) {
    // Replace the contents of the tooltip
    if (allSupport)
      el.innerHTML = tip
    else {
      // In NS, insert a table to work around
      // stylesheet rendering bug.
      // NS fails to apply style sheets when writing
      // contents into a positioned element.
      el.document.open()
      el.document.write("<TABLE WIDTH=200 BORDER=1 bordercolor=black><TR><TD WIDTH=100% BGCOLOR=yellow>")
      el.document.write(tip)
      el.document.write("</TD></TR></TABLE>")
      el.document.close()
    }
  }

  function getOffset(el, which) {
    // Function for IE to calculate position 
    // of an element.
    var amount = el["offset"+which] 
    if (which=="Top")
      amount+=el.offsetHeight
    el = el.offsetParent
    while (el!=null) {
      amount+=el["offset"+which]
      el = el.offsetParent
    }
    return amount
  }
  

  function setPosition(el) {
    // Set the position of an element
    src = window.event.srcElement
    if (allSupport) {
      el.style.pixelTop = getOffset(src, "Top")
      el.style.pixelLeft = getOffset(src, "Left")
    } else
    {
      el.top = src.y + 20 
      el.left = src.x 
    }
  }
      
  function setVisibility(el, bDisplay) {
    // Hide or show to tip
    if (bDisplay)
      if (allSupport)
        el.style.visibility = "visible" 
      else
        el.visibility = "show";
    else
      if (allSupport)
        el.style.visibility = "hidden"
      else
        el.visibility = "hidden"
  }


  function displayContents(tip) {
    // Display the tooltip. 
    var el = getElementForTipBox ()
    writeContents(el, tip)
    setPosition(el)
    setVisibility(el, true)
  }


  function doMouseOver(e) {
    // Mouse moves over an element
    setupEventObject(e)
    var el, tip
    if ((el = checkName(window.event.srcElement))!=null)
      if  (!el._display) {
        displayContents(el._tip)
        el._display = true
      }
  }

  function doMouseOut(e) {
    // Mouse leaves an element
    setupEventObject(e)
    el = checkName(window.event.srcElement)
    var el, tip
    if ((el = checkName(window.event.srcElement))!=null)
      if (el._display)
        if ((el.contains==null) || (!el.contains(window.event.toElement))) {
          setVisibility (getElementForTipBox (), false)
          el._display = false
        }
  }

  function doLoad() {
    // Do Loading
    if ((window.document.captureEvents==null) && (!allSupport))
      return // Not IE4 or NS4
    if (window.document.captureEvents!=null)  // NS - capture events
      window.document.captureEvents(Event.MOUSEOVER | Event.MOUSEOUT)
    window.document.onmouseover = doMouseOver;
    window.document.onmouseout = doMouseOut;
  }

  window.onload = doLoad
  
/* ------------------------- End Tool Tip Support --------------------------- */