<%@ page language="java" import="java.util.Iterator, com.eknowlogie.aliorsum.*" %>
<html>

   <!-- This renderer displays an object structure hierarchically, by using nested Html  
        tables to represent each nested composite structure.  It separates the elementary 
        and composite fields in this recipient by rendering the elementary fields first, 
        then the composite fields.
        
        @author Romel Rivera, eKnowlogie. Inc.
   -->
   <head>
      <link href = "aliorsum/aliorsum.css" type = "text/css" rel = "stylesheet"/>
      <script type = "text/javascript" src = "aliorsum/Scripts/Utils.js">
      </script>

   </head>
   
   <body>
<%
      {
         CompositeUI ui = CompositeUI. beginUIRendering (pageContext);
         String prefix = ui. getNamePrefix ();
%>
            <%= ui. renderValidation () %>  <!-- Displays validation for the entire object. -->
         
            <table border = 2 cellpadding = "10" valign = "top">
<%
               Iterator it = ui. elementaryFieldUIs ();
               while (it. hasNext ()) {
                  ElementaryUI eui = (ElementaryUI) it. next ();
%>
                  <%= eui. renderCols () %>
<%             }
            
               it = ui. compositeFieldUIs ();
               while (it. hasNext ()) {
                  CompositeUI cui = (CompositeUI) it. next ();
%>
                  <tr>
                     <td colspan = "2"> 
                         <%= cui. renderTitle () %> <br/><br/>
                         <table width = 100% valign = "top">
                            <tr>
                               <td> &nbsp; &nbsp; </td>
                               <td>
                                   <jsp:include page = "<%= cui. getRenderer () %>" />
                               </td>
                            </tr>
                         </table>
                     </td>
                  </tr>
<%
               }
%>
            </table>
            <input type = "hidden" name = "<%= prefix %>formSubmitted" value = "yes">
<%
         ui. endUIRendering ();
      }
%>
   </body>
</html>