<%@ page language="java" import="java.util.Iterator, java.lang.reflect.Field, com.eknowlogie.aliorsum.*" %>
<html>

   <!-- This renderer displays an object structure as a single flat table.  The field titles 
        are used as column headers and all the field values in the structure are displayed in 
        a single row.  If the object being rendered is a list, this allows for the display of 
        list elements as rows in the table. 
        
        @author Romel Rivera, eKnowlogie. Inc.
   -->
   <head>
      <link href = "aliorsum/aliorsum.css" type = "text/css" rel = "stylesheet"/>
      <script type = "text/javascript" src = "aliorsum/Scripts/Utils.js">
      </script>

   </head>
   
   <body>
<%
      {
         CompositeUI ui = CompositeUI. getPresetUI (pageContext);
         String prefix = ui. getNamePrefix ();
%>
         <%= ui. renderValidation () %> <!-- Displays validation for the entire object. -->
         
         <table border = 2 cellpadding = "10" valign = "top" >
         
             <%= ui. header (). render () %>
             
             <tr>  
                 <jsp:include page = "RowUIRenderer.jsp" />
             </tr>
         </table>
         <input type = "hidden" name = "<%= prefix %>formSubmitted" value = "yes">
<%
         ui. endUIRendering ();
      }
%>
   </body>
</html>