package com.acme.shoppingcart.model;

import java.util.Vector;
import com.eknowlogie.aliorsum.InvalidState;
import com.eknowlogie.aliorsum.Validator;

/** <p>This class represents an item selected in the shopping cart for purchase online.</p>
*/

public class SelectedProduct implements Validator {
	
   public Product product;
   public int quantitySelected;
   protected Vector selectedProducts;

   public SelectedProduct (Product product, int quantitySelected, Vector selectedProducts) {
      this. product = product;
      this. quantitySelected = quantitySelected;
      this. selectedProducts = selectedProducts;
   }
   
   public boolean validate () throws InvalidState {
      if (quantitySelected <= 0) 
         selectedProducts. remove (this);
      else if (quantitySelected > product. quantityInStock) {
         quantitySelected = product. quantityInStock;
         InvalidState exception = new InvalidState ();
         exception. fieldMessages. put ("quantitySelected",
         		                       "Cannot order any more units of this item.  <br>There are only " + quantitySelected + " units in stock.");
         throw exception;
      }
      return true;
   }
}