package com.acme.shoppingcart.model;

import java.util.Vector;

import com.eknowlogie.business.model.Address;
import com.eknowlogie.util.*;

/** <p>This class represents the shipping information for the shopping cart 
    application.</p>
*/

public class ShippingInfo {

   /*-------------------------- Begin Fields --------------------------*/

   public boolean wrappedAsGift = false;
   public String wrappingPaperStyle;
   public String giftText;
   public String color;
   public EnumerationType shippingMethod;
   public static Vector shippingMethods; 
   public Address shippingAddress;
   
   static {
      shippingMethods = new Vector ();
      shippingMethods. add ("UPS Overnight Delivery");
      shippingMethods. add ("UPS Second Day Air");
      shippingMethods. add ("UPS Ground");
   }

   /*--------------------------- End Fields ---------------------------*/

   /*----------------------- Begin Constructors -----------------------*/

   public ShippingInfo () {
      shippingMethod = new EnumerationType (2, shippingMethods);
   }

   /*------------------------ End Constructors ------------------------*/

   /*---------------------- Begin Static Methods ----------------------*/
   
   public static float getShippingAndHandlingCharges (float netCharges, Vector selectedProducts) {
      return 9.95f;
   }

   /*----------------------- End Static Methods -----------------------*/

   /* End of ShippingInfo */
}