/* 
   (C) Copyright 2004 eKnowlogie Inc., All rights reserved.
   eKnowlogie Proprietary / Confidential.  Use is subject to license terms.
*/

package com.eknowlogie.business.model;

import java.math.*;

/** <p>Basic business object for representing currency as a BigDecimal.</p>
    
    @author Romel Rivera, eKnowlogie, Inc.
*/

public class CurrencyDecimal extends BigDecimal {

   public CurrencyDecimal (BigInteger val) { 
      super (val);
   }
   
   public CurrencyDecimal (double val) { 
      super (val);
   }
   
   public CurrencyDecimal (Double val) {
      super (val. doubleValue ());
   }
   
   public CurrencyDecimal (String val) { 
      super (val);
   }
   
   public CurrencyDecimal (BigDecimal val) {
      super (val. doubleValue ());
   }

   /* End of CurrencyDecimal */
}