/* 
   (C) Copyright 2004 eKnowlogie Inc., All rights reserved.
   eKnowlogie Proprietary / Confidential.  Use is subject to license terms.
*/

package com.eknowlogie.business.model;

/** <p>Basic business object for representing persistence keys.  A key is a unique identifier 
    with which an object can be retrieve from a list (or persistent table) of objects.</p>
    
    @author Romel Rivera, eKnowlogie. Inc.
*/

public class Key {

   public int val = 0;
   
   public Key () {}
   
   public Key (int value) {
      this. val = value;
   }
   
   /* End of Key */
}
